<?php
/*
 * puyuetianPHP轻框架 核心函数
 * 作者：蒲乐天（puyuetian）
 * QQ：632827168
 * 官网：http://www.puyuetian.com
 *
 * 作者允许您转载和使用，但必须注明来自puyuetianPHP轻框架。
 */
if (!defined('puyuetian'))
	exit('Not Found puyuetian!Please contact QQ632827168');
//返回整数或小数数字，$str待处理字符，$return若非法返回的值，$int是否为整数（默认整数），$min数字最小值，$max数字最大值
function Cnum($str, $return = 0, $int = true, $min = FALSE, $max = FALSE) {
	if (is_numeric($str)) {
		if ($int)
			$str = (int)$str;
	} else {
		$str = $return;
	}
	if ($min !== FALSE)
		if ($str < $min)
			$str = $return;
	if ($max !== FALSE)
		if ($str > $max)
			$str = $return;

	return $str;
}

//返回符合条件的字符串，$str待处理字符，$return若非法返回值，$cstr字符处理白名单，$minlen最小长度，$maxlen最大长度
function Cstr($str, $return = false, $cstr = true, $minlen = 3, $maxlen = 15) {
	if (!is_string($str)) {
		return $return;
	}
	if ($cstr === true) {
		global $_G;
		$cstr = $_G['STRING']['SAFECHARS'];
	}
	$len = strlen($str);
	if ($cstr) {
		for ($i = 0; $i < $len; $i++) {
			$chk = strpos($cstr, substr($str, $i, 1));
			if ($chk === false) {
				return $return;
			}
		}
	}
	if ($minlen < $maxlen) {
		if ($len < $minlen) {
			return $return;
		}
		if ($len > $maxlen) {
			return $return;
		}
	} elseif ($minlen == $maxlen) {
		if ($len != $maxlen)
			return $return;
	}
	return $str;
}

//bbcode函数,若数据库设置了过滤标签则使用数据库的标签，否则使用系统默认标签，$marks保留的标签，$attrs保留的标签属性
function BBcode($str, $marks = FALSE, $attrs = FALSE) {
	global $_G;
	if ($marks === FALSE) {
		$_G['SET']['BBCODEMARKS'] ? $marks = $_G['SET']['BBCODEMARKS'] : $marks = $_G['STRING']['BBCODEMARKS'];
	}
	//第一次过滤
	$str = strip_tags($str, $marks);
	//第二次过滤
	if ($marks) {
		if (preg_match_all('/\<(.*?)\>/', $str, $match)) {
			foreach ($match[1] as $value2) {
				//获取当前标签名
				$bqn = substr($value2, 0, strpos($value2, ' '));
				//去除标签名
				$value2 = substr($value2, strlen($bqn));
				//处理前的初始化数据，转小写，去空格，去/
				$value2 = str_replace(' ', '', strtolower($value2));
				//$value2 = str_replace('/', '', $value2);
				//检测是否为无元素标签
				if (strpos($marks, '<' . str_replace('/', '', $value2) . '>') === FALSE) {
					if ($attrs === FALSE) {
						$_G['SET']['BBCODEATTRS'] ? $attrs = $_G['SET']['BBCODEATTRS'] : $attrs = $_G['STRING']['BBCODEATTRS'];
					}
					$wms = explode(',', $attrs);
					$chkstr = $value2;
					//清除白名单数据
					foreach ($wms as $wm) {
						if ($wm == 'href') {
							//a标签特殊检测
							if (preg_match_all('/href="(.*?)"/', $chkstr, $hrefs)) {
								foreach ($hrefs[1] as $href) {
									//if (substr($href, 0, 7) != 'http://') {
									//	$href = 'http://' . $_G['SYSTEM']['DOMAIN'] . '/' . $href;
									//}
									//安全检测
									if (!filter_var($href, FILTER_VALIDATE_URL) && substr($href, 0, 9) != 'index.php' && substr($href, 0, 12) != 'uploadfiles/') {
										$str = htmlspecialchars($str);
										break 3;
									}
								}
							}
						}
						$chkstr = preg_replace('/' . $wm . '=".*?"/', '', $chkstr);
					}
					//处理后的检测
					if ($chkstr && $chkstr != '/') {
						$str = htmlspecialchars($str);
						break;
					}
				}
			}
		}
	}
	return $str;
}

//html静态模板加载函数,$filename模板名称或路径，$return是则返回/否则输出，$htmlcode带加载的模板变量，$isreplace是否替换其中的php量
function template($filename, $return = false, $htmlcode = false, $isreplace = true) {
	global $_G;
	$filename = str_replace('\\', '/', $filename);
	$_G['SYSTEM']['LOADTEMPLATENAME'] = $filename;
	$templatename = $_G['SET']['TEMPLATENAME'];
	if ($htmlcode === FALSE) {
		$lj = $_G['SYSTEM']['PATH'];
		if (strpos($filename, '/') !== FALSE && substr($filename, strrpos($filename, '.') + 1) != 'php') {
			//完整路径
			file_exists($filename) ? $htmlcode = file_get_contents($filename) : RunError("\"{$filename}\" doesn't exist");
		} elseif (strpos($filename, ':')) {
			//应用模板加载
			$plugname = explode(':', $filename);
			$filename = "{$lj}/app/{$plugname[0]}/template/{$plugname[1]}.html";
			file_exists($filename) ? $htmlcode = file_get_contents($filename) : RunError("\"{$lj}/apps/{$plugname[0]}/template/{$plugname[1]}.html\" doesn't exist");
		} else {
			//一般模板加载
			if (!file_exists("{$lj}/template/{$templatename}/{$filename}.html")) {
				if ($_G['SET']['DEFAULTTEMPLATES']) {
					$trs = explode(',', $_G['SET']['DEFAULTTEMPLATES']);
					$__r = FALSE;
					foreach ($trs as $tr) {
						if (file_exists("{$lj}/template/{$tr}/{$filename}.html")) {
							$__r = TRUE;
							$htmlcode = file_get_contents("{$lj}/template/{$tr}/{$filename}.html");
							break;
						}
					}
					if (!$__r)
						RunError("\"{$lj}/template/{$templatename}/{$filename}.html\" doesn't exist");
				} else {
					RunError("\"{$lj}/template/{$templatename}/{$filename}.html\" doesn't exist");
				}
			} else {
				$htmlcode = file_get_contents("{$lj}/template/{$templatename}/{$filename}.html");
			}
		}
	}
	if ($isreplace) {
		//模板内PHP脚本的执行
		if (preg_match_all('#<\?php[\s\S]+?\?>#', $htmlcode, $match)) {
			foreach ($match[0] as $value2) {
				$bl = substr($value2, 5, strlen($value2) - 7);
				eval("global \$_G;{$bl}");
				$htmlcode = str_replace($value2, '', $htmlcode);
			}
		}
		//模板内变量的显示
		if (preg_match_all('#\{\$[A-Za-z0-9_\-\[\]\'\"]+?\}#', $htmlcode, $match)) {
			foreach ($match[0] as $value2) {
				$bl = substr($value2, 2, strlen($value2) - 3);
				if (strpos($bl, '[')) {//防止数组被global
					$globalbl = substr($bl, 0, strpos($bl, '['));
				} else {
					$globalbl = $bl;
				}
				eval("global \$" . $globalbl . ";");
				eval("\$bl=\$" . $bl . ";");
				//防止PHP函数执行漏洞
				$bl = str_replace('{', '&#123;', $bl);
				$bl = str_replace('}', '&#125;', $bl);
				$htmlcode = str_replace($value2, $bl, $htmlcode);
			}
		}
		//模板内函数的显示
		if (preg_match_all('#\{[\S ]+?\}#', $htmlcode, $match)) {
			foreach ($match[0] as $value2) {
				$bl = substr($value2, 1, strlen($value2) - 2);
				if (function_exists(substr($bl, 0, strpos($bl, "(")))) {
					eval("\$bl=" . $bl . ";");
					$htmlcode = str_replace($value2, $bl, $htmlcode);
				}
			}
		}
		//还原被过滤的字符
		$htmlcode = str_replace('&#123;', '{', $htmlcode);
		$htmlcode = str_replace('&#125;', '}', $htmlcode);
	}
	if ($return)
		return $htmlcode;
	else
		echo $htmlcode;
}

//mysql数据库转义,待过滤字符串，是否添加''，''两边添加的字符，是否强制添加''（false数字不添加）
function mysqlstr($str, $quto = true, $bwf = '', $must = false) {
	if (get_magic_quotes_gpc()) {
		$str = stripcslashes($str);
		//去掉默认开启magic_quotes_gpc所添加的转义
	}
	$str = mysql_real_escape_string($str);
	if ($quto && !is_numeric($str) || $must) {
		$str = "'{$bwf}{$str}{$bwf}'";
	}
	return $str;
}

//获取当前文件的名称
function getFilename($hz = false) {
	$url = $_SERVER['SCRIPT_NAME'];
	$filename = end(explode('/', $url));
	if (!$hz) {
		$pos = strripos($filename, '.');
		$filename = substr($filename, 0, $pos);
	}
	return $filename;
}

function fun_cunzai($funname) {
	$pos = strpos($funname, "(");
	if ($pos) {
		$name = substr($funname, 0, $pos);
		if (function_exists($name)) {
			return true;
		} else {
			return false;
		}
	} else {
		return false;
	}
}

function getClientInfos($info = 'all') {
	if ($info == 'all') {
		$infos = '浏览器标示：' . $_SERVER['HTTP_USER_AGENT'] . ' <br>
';
		$infos .= '客户端语言：' . $_SERVER['HTTP_ACCEPT_LANGUAGE'] . '
<br>
';
		$infos .= '客户端IP地址：' . $_SERVER['REMOTE_ADDR'];
	} elseif ($info == 'ip') {
		$IPaddress = '';
		if (isset($_SERVER)) {
			if (isset($_SERVER["HTTP_X_FORWARDED_FOR"])) {
				$IPaddress = $_SERVER["HTTP_X_FORWARDED_FOR"];
			} else if (isset($_SERVER["HTTP_CLIENT_IP"])) {
				$IPaddress = $_SERVER["HTTP_CLIENT_IP"];
			} else {
				$IPaddress = $_SERVER["REMOTE_ADDR"];
			}
		} else {
			if (getenv("HTTP_X_FORWARDED_FOR")) {
				$IPaddress = getenv("HTTP_X_FORWARDED_FOR");
			} else if (getenv("HTTP_CLIENT_IP")) {
				$IPaddress = getenv("HTTP_CLIENT_IP");
			} else {
				$IPaddress = getenv("REMOTE_ADDR");
			}
		}
		$infos = $IPaddress;
	} else {
		$infos = $_SERVER[$info];
	}
	return $infos;
}

function chkuploadfilesuffix($suffix) {
	if (!$suffix)
		return FALSE;
	global $_G;
	return in_array($suffix, explode("|", $_G['SET']['UPLOADFILETYPES']));
}

//生成伪静态URL，$name为c参数，$parmas为生成的参数，$addparmas为动态参数添加，$delimiter为分割符，$suffix为生成的后缀
function ReWriteURL($name, $parmas, $addparmas = '', $delimiter = '-', $suffix = '.html') {
	global $_G;
	if ($_G['SET']['REWRITEURL'] && !$_G['USER']['ID']) {
		if ($parmas) {
			$parmas = explode('&', $parmas);
			$url = $name;
			foreach ($parmas as $value) {
				$value = explode('=', $value);
				$url .= $delimiter . $value[1];
			}
		} else {
			$url = $name;
		}
		$addparmas ? $url .= "{$suffix}?{$addparmas}" : $url .= $suffix;
	} else {
		$addparmas ? $url = "index.php?c={$name}&{$parmas}&{$addparmas}" : $url .= "index.php?c={$name}&{$parmas}";
	}
	return $url;
}

function __unset() {
	foreach ($GLOBALS as $key => $value) {
		if (substr($key, 0, 2) == "__") {
			unset($GLOBALS[$key]);
		}
	}
}

function getShuXiang($datetime) {
	$year = date('Y', $datetime);
	if ($year) {
		//1900年是鼠年
		$data = array('鼠', '牛', '虎', '兔', '龙', '蛇', '马', '羊', '猴', '鸡', '狗', '猪');
		$index = ($year - 1900) % 12;
		return $data[$index];
	} else {
		return FALSE;
	}
}

function getXingZuo($datetime) {
	$date = (int)date('nd', $datetime);
	if ($date) {
		switch ($date) {
			case (120<=$date&&218>=$date) :
				$xz = "水瓶";
				break;
			case (219<=$date&&320>=$date) :
				$xz = "双鱼";
				break;
			case (321<=$date&&419>=$date) :
				$xz = "白羊";
				break;
			case (420<=$date&&520>=$date) :
				$xz = "金牛";
				break;
			case (521<=$date&&621>=$date) :
				$xz = "双子";
				break;
			case (622<=$date&&722>=$date) :
				$xz = "巨蟹";
				break;
			case (723<=$date&&822>=$date) :
				$xz = "狮子";
				break;
			case (823<=$date&&922>=$date) :
				$xz = "处女";
				break;
			case (923<=$date&&1023>=$date) :
				$xz = "天秤";
				break;
			case (1024<=$date&&1121>=$date) :
				$xz = "天蝎";
				break;
			case (1122<=$date&&1221>=$date) :
				$xz = "射手";
				break;
			default :
				$xz = "摩羯";
				break;
		}
		return $xz;
	} else {
		return FALSE;
	}
}

function getNianLing($datetime) {
	return (date('Y', time()) - date('Y', $datetime));
}

function SerializeData($data, $key, $value = NULL) {
	$__data = unserialize($data);
	if ($value !== NULL) {
		//数据更新
		if (!is_array($key))
			$key = explode(',', $key);
		if (!is_array($value))
			$value = explode(',', $value);

		if (count($key) == count($value)) {
			foreach ($key as $k => $k2) {
				$__data[$k2] = $value[$k];
			}
		} else {
			foreach ($key as $k => $k2) {
				$__data[$k2] = $value[0];
			}
		}

		$data = serialize($__data);
		return $data;
	} else {
		//数据读取
		return $__data[$key];
	}
}

//数据转Json处理，$data为json字符串，$key为要读取或写入的键名，$value为键值
function JsonData($data, $key = NULL, $value = NULL) {
	$__data = json_decode($data, TRUE);
	if ($value !== NULL) {
		//数据更新
		if (!is_array($key))
			$key = explode(',', $key);
		if (!is_array($value))
			$value = explode(',', $value);

		if (count($key) == count($value)) {
			foreach ($key as $k => $k2) {
				$__data[$k2] = $value[$k];
			}
		} else {
			foreach ($key as $k => $k2) {
				$__data[$k2] = $value[0];
			}
		}

		$data = json_encode($__data);
		return $data;
	} else {
		//数据读取
		if ($key === NULL) {
			return $__data;
		} else {
			return $__data[$key];
		}
	}
}

function HSCSArray(array $array, $flags = ENT_QUOTES, $encoding = 'UTF-8', $double_encode = TRUE) {
	foreach ($array as $key => $value) {
		if (is_string($value))
			$array[$key] = htmlspecialchars($value, $flags, $encoding, $double_encode);
	}
	return $array;
}

function standardArray(&$array, $uppercase = TRUE) {
	if (is_array($array)) {
		foreach ($array as $key => $value) {
			if ($uppercase) {
				$keyTemp = strtoupper($key);
			} else {
				$keyTemp = strtolower($key);
			}
			if ($keyTemp != $key) {
				unset($array[$key]);
				$array[$keyTemp] = $value;
			}
			if (is_array($array[$keyTemp]))
				standardArray($array[$keyTemp], $uppercase);
		}
	}
}

//Unicode 汉子编码
function UnicodeEncode($str, $format = 'js') {
	$str = json_encode($str);
	$str = str_replace('\"', '"', substr($str, 1, strlen($str) - 2));
	if ($format = 'css') {
		$str = str_replace('u', '', $str);
	} elseif ($format = 'html') {
		$str = str_replace('\u', '&#x', $str);
	}
	return $str;
}

//Unicode 汉子解码
function UnicodeDecode($str) {
	return reset(json_decode('["' . str_replace('"', '\"', $str) . '"]'));
}

//$array为字符串或数组，$needle为要查找的值，若为字符串此值起作用$delimiter为分割符
function InArray($array, $needle, $delimiter = ',') {
	if (is_array($array)) {
		return in_array($needle, $array);
	} else {
		return in_array($needle, explode($delimiter, $array));
	}
}

function EqualReturn($str, $old, $new) {
	if ($str === $old) {
		return $new;
	} else {
		return $str;
	}
}

function RunError($err) {
	global $_G;
	if (!$_G['SET']['RUNERRORDISPLAY'])
		$err = '<div style="text-align:center">Not turned on error display</div>';
	else
		$err = 'Error:' . $err;
	$err = str_replace('{$err}', $err, $_G['HTMLCODE']['ERROR']);
	exit($err);
}

function chkVerifycode($verifycode, $page) {
	global $_G;
	if (($_G['SET']['APP_VERIFYCODE_LOAD'] && $verifycode && strtolower($verifycode) == strtolower($_SESSION['APP_VERIFYCODE_' . strtoupper($page)])) || ($_G['SET']['APP_VERIFYCODE_LOAD'] && !InArray($_G['SET']['APP_VERIFYCODE_PAGE'], $page)) || !$_G['SET']['APP_VERIFYCODE_LOAD'] || InArray($_G['USER']['QUANXIAN'], 'noverifycode')) {
		return TRUE;
	} else {
		return FALSE;
	}
}

function loadVerifycode($page, $t = '') {
	global $_G;
	$_G['APP']['VERIFYCODE']['TYPE'] = $page;
	if ($_G['SET']['APP_VERIFYCODE_LOAD'] && InArray($_G['SET']['APP_VERIFYCODE_PAGE'], $page) && !InArray($_G['USER']['QUANXIAN'], 'noverifycode')) {
		if ($t)
			$t = '-' . $t;
		return template('verifycode' . $t, true);
	}
}

//$chkuserloginarray为检测登录的数组，$chkloginqx是否检测用户具有登录权限
function UserLogin($chkuserloginarray, $chkloginqx = true) {
	global $_G;
	$userdata = $_G['TABLE']['USER'] -> getData($chkuserloginarray);
	if (!$userdata) {
		$_G['USERLOGINFAILEDINFO'] .= '用户密码错误';
		return FALSE;
	}
	if (!InArray($userdata['quanxian'], 'login') && $chkloginqx) {
		$_G['USERLOGINFAILEDINFO'] .= '无权登录，请联系管理员';
		return FALSE;
	}
	//====================存入登录信息=======================
	$array['id'] = $userdata['id'];
	$array['data'] = JsonData($userdata['data'], 'logininfo', array(getClientInfos()));
	$array['logintime'] = time();
	$array['session_token'] = CreateRandomString(16);
	$_G['TABLE']['USER'] -> newData($array);
	//=====================session safe======================
	$_SESSION['HS_UID'] = $array['id'];
	$_SESSION['HS_HTTP_USER_AGENT'] = md5($_SERVER['HTTP_USER_AGENT']);
	$_SESSION['HS_REMOTE_ADDR'] = md5($_SERVER['REMOTE_ADDR']);
	$_SESSION['HS_SESSION_TOKEN'] = md5($array['session_token']);
	//防止session欺骗重新生成srid
	session_regenerate_id(TRUE);
	//==================更新数据==============================
	$userdata = $_G['TABLE']['USER'] -> getData($array['id']);
	//==================登录提示==============================
	if (function_exists('sendmail') && ($_G['SET']['USERLOGINEMAILTIP'] || $userdata['id'] == 1)) {
		sendmail($userdata['email'], $_G['SET']['LOGOTEXT'] . ' - 账号登录提示', "亲爱的{$userdata['nickname']}（UID：{$userdata['id']}），您的账号在" . date('Y-m-d H:i:s', time()) . "登录，登录IP为" . getClientInfos('ip') . "，若非本人操作请尽快更改账号密码。");
	}
	return $userdata;
}

function UserLogout() {
	$_SESSION['HS_UID'] = '';
	$_SESSION['HS_HTTP_USER_AGENT'] = '';
	$_SESSION['HS_REMOTE_ADDR'] = '';
	$_SESSION['HS_SESSION_TOKEN'] = '';
}

function CreateRandomString($len = 4, $str = FALSE) {
	if (!$str)
		$str = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz1234567890';
	$strlen = strlen($str);
	$nstr = '';
	if (Cnum($len) > 0) {
		for ($i = 0; $i < $len; $i++) {
			$nstr .= substr($str, rand(0, $strlen - 1), 1);
		}
	}
	return $nstr;
}

//下载文件函数
function file_download($file_url, $new_name = '') {
	if (!isset($file_url) || trim($file_url) == '') {
		return 'download file 500';
	}
	if (!file_exists($file_url)) {//检查文件是否存在
		return 'download file 404';
	}
	$file_type = explode('.', $file_url);
	$file_type = $file_type[count($file_type) - 1];
	$file_name = time() . '.' . $file_type;
	//basename($file_url);
	$file_name = trim($new_name == '') ? $file_name : urlencode($new_name) . '.' . $file_type;
	$file_type = fopen($file_url, 'r');
	//打开文件
	//输入文件标签
	header("Content-type: application/octet-stream");
	header("Accept-Ranges: bytes");
	header("Content-Length: " . filesize($file_url));
	header("Content-Disposition: attachment; filename=" . $file_name);
	//输出文件内容
	echo fread($file_type, filesize($file_url));
	fclose($file_type);
}

function GetPostData($url, $post_data = '', $timeout = 30) {
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL, $url);
	if ($post_data != '') {
		curl_setopt($ch, CURLOPT_POST, 1);
		curl_setopt($ch, CURLOPT_POSTFIELDS, $post_data);
	}
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, $timeout);
	curl_setopt($ch, CURLOPT_HEADER, false);
	//跳过SSL验证
	curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, '0');
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, '0');
	$file_contents = curl_exec($ch);
	curl_close($ch);
	return $file_contents;
}

function isphonecome() {
	$_SERVER['ALL_HTTP'] = isset($_SERVER['ALL_HTTP']) ? $_SERVER['ALL_HTTP'] : '';
	$mobile_browser = '0';
	if (preg_match('/(up.browser|up.link|mmp|symbian|smartphone|midp|wap|phone|iphone|ipad|ipod|android|xoom)/i', strtolower($_SERVER['HTTP_USER_AGENT'])))
		$mobile_browser++;
	if ((isset($_SERVER['HTTP_ACCEPT'])) and (strpos(strtolower($_SERVER['HTTP_ACCEPT']), 'application/vnd.wap.xhtml+xml') !== false))
		$mobile_browser++;
	if (isset($_SERVER['HTTP_X_WAP_PROFILE']))
		$mobile_browser++;
	if (isset($_SERVER['HTTP_PROFILE']))
		$mobile_browser++;
	$mobile_ua = strtolower(substr($_SERVER['HTTP_USER_AGENT'], 0, 4));
	$mobile_agents = array('w3c ', 'acs-', 'alav', 'alca', 'amoi', 'audi', 'avan', 'benq', 'bird', 'blac', 'blaz', 'brew', 'cell', 'cldc', 'cmd-', 'dang', 'doco', 'eric', 'hipt', 'inno', 'ipaq', 'java', 'jigs', 'kddi', 'keji', 'leno', 'lg-c', 'lg-d', 'lg-g', 'lge-', 'maui', 'maxo', 'midp', 'mits', 'mmef', 'mobi', 'mot-', 'moto', 'mwbp', 'nec-', 'newt', 'noki', 'oper', 'palm', 'pana', 'pant', 'phil', 'play', 'port', 'prox', 'qwap', 'sage', 'sams', 'sany', 'sch-', 'sec-', 'send', 'seri', 'sgh-', 'shar', 'sie-', 'siem', 'smal', 'smar', 'sony', 'sph-', 'symb', 't-mo', 'teli', 'tim-', 'tosh', 'tsm-', 'upg1', 'upsi', 'vk-v', 'voda', 'wap-', 'wapa', 'wapi', 'wapp', 'wapr', 'webc', 'winw', 'winw', 'xda', 'xda-');
	if (in_array($mobile_ua, $mobile_agents))
		$mobile_browser++;
	if (strpos(strtolower($_SERVER['ALL_HTTP']), 'operamini') !== false)
		$mobile_browser++;
	// Pre-final check to reset everything if the user is on Windows
	if (strpos(strtolower($_SERVER['HTTP_USER_AGENT']), 'windows') !== false)
		$mobile_browser = 0;
	// But WP7 is also Windows, with a slightly different characteristic
	if (strpos(strtolower($_SERVER['HTTP_USER_AGENT']), 'windows phone') !== false)
		$mobile_browser++;
	if ($mobile_browser > 0)
		return true;
	else
		return false;
}
